Subject: Re: Serious performance problems (malloc related?)
From: Vaclav Haisman <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 May 2005 13:24:31 +0200 (CEST)

I have similar problem with CPU bound program of mine on Cygwin too. The
difference is something like 35 minutes versus 400 seconds on the same machine
but under FreeBSD.

Somebody mentioned that malloc implementation could be the problem. Dunno. I
has also crossed my mind that another difference between FreeBSD and Cygwin is
implementation of C++ exceptions. Maybe the SJLJ implementation that Cygwin
AFAIK uses has too big overhead.

VH

PS: I think that cgf should really try to improve his PR skills.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/